ViewComponents/NavigationViewComponent.cs
using Microsoft.AspNetCore.Mvc;

namespace RPPP01.ViewComponents
{
  public class NavigationViewComponent : ViewComponent
  {
    public IViewComponentResult Invoke()
    {
      ViewBag.Controller = RouteData?.Values["controller"];
      return View();
    }
  }
}

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="hr_HR" xml:lang="hr_HR">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CoronaMVCCore - @ViewData["Title"]</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="~/lib/bootstrap/css/bootstrap.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    @RenderSection("styles", required: false)
</head>
<body>
  <nav class="navbar navbar-expand-md bg-dark navbar-dark">
    <a class="navbar-brand" asp-action="Index" asp-controller="Home">Firma MVC ASP.NET Core</a>

    <!-- Toggler/collapsibe Button -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
      <span class="navbar-toggler-icon"></span>
    </button>

    <!-- Navbar links -->
    <div class="collapse navbar-collapse" id="collapsibleNavbar">
      <vc:navigation/>
    </div>
  </nav>

  <main>

      <div>
          @if (TempData[Constants.Message] != null)
          {
              bool error = false;
              var obj = TempData[Constants.ErrorOccured];
              if (obj != null)
              {
                  error = (bool)obj;
              }
              <div class="alert @(error?"alert-danger":"alert-success")">@TempData[Constants.Message]</div>
          }
      </div>

      @RenderBody()

  </main>
  <hr />
  <footer>
    <p class="text-center">&copy; 2020 - RPPP, ZPR, FER</p>
  </footer>

  <script src="~/lib/jquery/jquery.js"></script>
  <script src="~/lib/bootstrap/js/bootstrap.js"></script>
  <script asp-src-include="~/lib/jquery-validate/**/jquery.validate.min.js"></script>
  <script asp-src-include="~/lib/jquery-validation-unobtrusive/**/*.min.js"></script>

  <script defer src="https://use.fontawesome.com/releases/v5.0.9/js/solid.js" integrity="sha384-P4tSluxIpPk9wNy8WSD8wJDvA8YZIkC6AQ+BfAFLXcUZIPQGu4Ifv4Kqq+i2XzrM" crossorigin="anonymous"></script>
  <script defer src="https://use.fontawesome.com/releases/v5.0.9/js/fontawesome.js" integrity="sha384-2IUdwouOFWauLdwTuAyHeMMRFfeyy4vqYNjodih+28v2ReC+8j+sLF9cK339k5hY" crossorigin="anonymous"></script>

  <script src="~/js/site.js" asp-append-version="true"></script>
  <script src="~/js/gotopage.js" asp-append-version="true"></script>
  <script src="~/js/validation.js" asp-append-version="true"></script>

  @RenderSection("scripts", required: false)
</body>
</html>